version: '3'

services:
  gogocarto:
    build:
      context: .
      dockerfile: docker/Dockerfile
    depends_on:
      - mongo
    container_name: gogocarto
    volumes:      
      - .:/var/www
      - /var/www/var/cache
      - /var/www/var/log
      - /var/www/var/sessions
      - /var/www/web/uploads
    ports:
      - "3008:80"
    links:
      - mongo:mongo

  mongo:
    image: shikhir/alpine-mongodb
    container_name: mongo
    volumes:
      - mongo:/data/mongodb
    ports:
      - "27017:27017"

volumes:
  mongo: {}
